<!DOCTYPE html>
<html>
  <head>
    <title>Complejo</title>
  </head>
  <body>
    <label>Real:</label>
    <input id="real" />
    <label>Imaginario:</label>
    <input id="imag" />
    <button onclick="onClick()">Modulo</button>
    <script>
      function complejo(t_real, t_imag) {
        let real = t_real
        let imag = t_imag

        function modulo() {
          return Math.sqrt(this.real**2 + this.imag**2)
        }

        return {real, imag, modulo}
      }

      const complejo2 = {
        real,
        imag,
        modulo(){
          return Math.sqrt(this.real**2 + this.imag**2)
        }
      }
      complejo2.real = 3
      complejo2.imag = 4
      alert(complejo2.modulo())


      function onClick() {
        let real =  document.getElementById('real').value
        let imag =  document.getElementById('imag').value
        complejo = complejo(real, imag)

        console.log(complejo.real)

        alert(complejo.modulo())
      }
    </script>
  </body>
</html>